package at.ac.tuwien.sepm.assignment.individual.enums;

public enum ERace {
    ARABIAN,
    MORGAN,
    PAINT,
    APPALOOSA;

    public static boolean contains(String val) {
        // Loop through all values and check if the string is one of them
        // https://stackoverflow.com/a/9275694
        for(ERace race:values())
            if (race.name().equals(val))
                return true;
        return false;
    }

    public static String valuesToString() {
        String res = "";
        for(ERace race: values()) {
            res += race + ", ";
        }

        // Return the result without the last comma and space
        return res.substring(0, res.length() - 2);
    }
}
